## org.eclipse.amp.axf.space
Class Location1DIntegerAdapter

    java.lang.Object
      org.eclipse.amp.axf.space.Location1DIntegerAdapter

All Implemented Interfaces:
  ILocation, ILocation1D

Direct Known Subclasses:
  Location2DIntegerAdapter

    public abstract class Location1DIntegerAdapter

extends java.lang.Object
implements ILocation1D

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Constructor Summary
`Location1DIntegerAdapter()`

Method Summary
`java.lang.Object` `getX()`
`double` `getXDouble()`
`abstract int` `getXInteger()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Location1DIntegerAdapter

    public Location1DIntegerAdapter()

Method Detail

### getX

    public final java.lang.Object getX()

  Specified by:
    `getX` in interface `ILocation1D`
  Returns:
  See Also:
    `ILocation1D.getX()`

### getXInteger

    public abstract int getXInteger()

  Specified by:
    `getXInteger` in interface `ILocation1D`
  Returns:
  See Also:
    `ILocation1D.getXInteger()`

### getXDouble

    public final double getXDouble()

  Specified by:
    `getXDouble` in interface `ILocation1D`
  Returns:
  See Also:
    `ILocation1D.getXDouble()`